package dpexamples.day1.phoneapp;

public class HandCodedMobilePhone {

	private static HandCodedMobilePhone instance;
	
	public synchronized static HandCodedMobilePhone getInstance() {
		if (instance == null) {
			instance = new HandCodedMobilePhone();
		}
		return instance;
	}
	
	private HandCodedMobilePhone() {}
	
	private String name = "MyPhone";
	
	int batteryLevelPercent = 100;
	private String pinCode = "1234";
	
	public boolean check(String enteredPinCode) {
		return pinCode.equals(enteredPinCode);
	}

	@Override
	public String toString() {
		return name;
	}
	
}
